<template>
  <div class="share_box">
    <div class="title">
      <span>数据应用管理平台</span>
      <img src="../../../assets/img/zonlan (9).png"
           alt="" />
    </div>
    <div class="video_box"
         @click="showToGoRester">
      <video style="object-fit: fill; width: 100%; height: 100%"
             src="../../../assets/img/数据应用管理平台视频.mp4"
             autoplay="autoplay"
             muted="muted"
             loop
             x5-playsinline="true"
             playsinline="true"
             webkit-playsinline="true"
             x-webkit-airplay="allow"
             x5-video-player-type="h5"
             x5-video-player-fullscreen="true"></video>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data () {
    //这里存放数据
    return {
      showImg: false,
    };
  },
  //方法集合
  methods: {
    showToGoRester () {
      this.$emit("vaideoShow", true);
    },
  },
  created () { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.share_box {
  overflow: hidden;
  width: 100%;
  height: 49%;
  box-sizing: border-box;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .video_box {
    // background: url("../../../assets/img/shujuguanli/001_03 拷贝.png") no-repeat
    //   center;
    background: url("../../../assets/img/zonlan (26).png") no-repeat center;

    background-size: 100% 100%;
    // width: 1976px;
    height: 1168px;
    overflow: hidden;
    padding: 90px 120px;
    box-sizing: border-box;
    // video {
    //   width: 100%;
    //   height: 100%;
    // }
  }
  .el-dialog__wrapper {
    .el-dialog__body {
      height: 30%;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .share_box {
    background: transparent;
    overflow: visible;
    height: 40%;

    .video_box {
      height: 100%;
      width: 55%;
      margin-left: 22%;
      padding: 0.1rem 0.1rem;
    }
  }
  .rightbox {
    .img_box {
      height: 100%;
      width: 55%;
      margin-left: 22%;
      padding: 0.1rem 0.1rem;
    }
  }
}
// .dialog-box {
//   .dialogvideo_box {
//     height: 4000px;
//     width: 100%;
//     // background: url("../../../assets/img/zonlan (26).png") no-repeat center;
//     // background-size: 100% 100%;
//     // width: 1976px;
//     // padding: 90px 120px;
//     // box-sizing: border-box;
//     // video {
//     //   width: 100%;
//     //   height: 100%;
//     // }
//   }
// }
</style>
